# Note that this is NOT a relocatable package
%define ver      1.0.51
%define rel      3mdk
%define prefix   /usr

Summary: GNOME media programs.
Name: gnome-media
Version: %ver
Release: %rel
Copyright: LGPL
Group: Graphical desktop/GNOME
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-media/gnome-media-%{ver}.tar.bz2
Source1: gmedia_menuentries
BuildRoot: /var/tmp/gnome-media-%{PACKAGE_VERSION}-root
Icon: gnome-media-logo.gif
URL: http://www.gnome.org
Prefix: %{prefix}
Docdir: %{prefix}/doc


Patch: gnome-media-0.99.1-sparccd.patch.bz2

# msf - disabled in 0.30 release
# these needed for extace
#Requires: gsl
#Requires: esound

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set
of applications and desktop tools to be used in conjunction with
a window manager for the X Window System. GNOME is similar
in purpose and scope to CDE and KDE, but GNOME is based completely
on Open Source software.

GNOME's powerful environment is pleasing on the eye, easy to
configure and use.

This package will install such media features as the GNOME
CD player.

%changelog
* Thu May 04 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.51-3mdk
- added menu entries.
- path to icons remains hardcoded.

* Mon Apr 10 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.51-2mdk
- adjust group.
- spec cleaned.

* Sat Oct 30 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.0.51

* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.0.40

* Fri Aug 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 1.0.9.1
- cleaned %files
- added an icon

* Fri Jul 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Rebuild without glib-1.3.

* Thu Jul 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.0.9.

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for Mandrake.
- Stripping again ;-)

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8

* Tue Jan 19 1999 Michael Fulbright <drmike@redhat.com>
- fixed building on sparc and RH 5.2 - seems to get confused into thinking
  we have cd changer support when we don't

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.1

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated for GNOME freeze

* Sat Nov 21 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- added spanish and french translations for rpm

* Wed Sep 23 1998 Michael Fulbright <msf@redhat.com>
- Updated to 0.30 release

* Mon Mar 16 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-media CVS source tree

%prep
%setup -q 

%patch -p1

%build

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

mkdir -p $RPM_BUILD_ROOT%{prefix}/lib/menu
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{prefix}/lib/menu/gmedia

# strip binaries

find $RPM_BUILD_ROOT/ -type 'f' -name '*[0-9]'|xargs file|grep troff\
|cut -d: -f1|xargs bzip2 -9
for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x'`;do
	file $i|grep -q "not stripped" && strip $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%post 
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true 

%postun
if [ "$1" = "0"  ]; then
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true 
fi

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%{prefix}/share/locale/*/*/*
%{prefix}/share/pixmaps
%{prefix}/lib/menu

